* div{transition: all .3s ease; }

#id_background{display: none;}
/* =========== loader ===========*/
.id_loader{ 
  z-index: 1; 
  position: absolute; 
  width: 92px; 
  height: 92px; 
  border:1px solid rgba(79,206,93, 1); 
  border-radius: 8px; 
  overflow: hidden;
}
.id_loader img{ width: 100%; height: 100%;}

.id_loader_logo{ 
  z-index: 0; 
  position: absolute; 
  display: flex; 
  justify-content: center; 
  align-items: center; 
  width: 92px; 
  height: 92px; 
  border:1px solid rgba(79,206,93, 1); 
  border-radius: 8px; 
  overflow: hidden; 
  background-color: rgba(79,206,93, 1);}

.id_loader_logo img{ width: 100%; height: 100%;}

#id_loader_texto{ 
  color: #000; 
  font-size: .65em; 
  margin-top: 125px; 
  background-color: rgba(79,206,93, 1); 
  border-radius: 3px; padding: 2px 5px;
}
#id_loader_texto{
  /*animacion*/
  animation-name: id_loader_texto;
  animation-duration: .1s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  }
  @keyframes id_loader_texto {
  from {color:#000;}
  to {color: transparent;}
  }

  /* =========== Scroll ===========*/
  html.sr .load-hidden {
    visibility: hidden;
}
  html.sr .widget {
    visibility: hidden;
}

/* ===========  ===========*/
#menu_base{
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width:100%;
    height: 100%;
    box-sizing: border-box;
}

#menu_box{
    position: fixed;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    /* border-radius: 12px; */
    background-color: rgba(0, 0, 0, 1);
    box-sizing: border-box;
    color: #fff;
    overflow: hidden;
}

/* =========== Menú Cabecera ===========*/
#id_menu_avatar{
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50%;
    box-sizing: border-box;
}

#foto_perfil_box{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 200px;
    height: 200px;
    }
    #foto1 img {width: 100%; height: 100%; border-radius: 50%;}
    #foto1{
      z-index: 1;
      position: absolute;
      top: 5px;
      left: 5px;
      width: 178px;
      height: 178px;
      border-radius: 50%;
      border: 6px solid rgba(255, 255, 255, 1);
    }
    #foto2 img {width: 100%; height: 100%; border-radius: 50%;}
    #foto2{
      z-index: 0;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-radius: 50%;
      background: conic-gradient(rgba(0,0,0,0), rgba(79,206,93, 1));
      /**/
      animation-name: foto;
      animation-iteration-count: infinite;
      animation-duration: 5s;
      animation-timing-function: cubic-bezier(0.77, 0, 0.175, 1);
    }
      @keyframes foto{
        0% {opacity: 0; transform: rotate(0deg);}
        50% {opacity: 1; transform: rotate(360deg);}
        75% {opacity: 0; transform: rotate(360deg);}
        100% {opacity: 0;transform: rotate(360deg);}
      }
/* =========== menu Slider ===========*/

#menu_slider{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50%;
    box-sizing: border-box;
}

#slider{ height: 100%;}

  /* =========== ID Menu ===========*/






  /* =========== Boton Abrir ===========*/
    #menu-abrir{
      z-index:1;
      position: fixed;
      top: calc(50% - 22.5px);
      right: 0;
      width: 45px;
      height: 45px;
      padding: 3px;
      box-sizing: border-box;
      border-radius: 8px 0 0 8px;
      transition: all .3s ease;
    }
    #abrir_box{
      width: 100%; 
      padding: 0; 
      box-sizing: border-box; 
      overflow: hidden;
    }
    #menu_abrir_titulo{
      position: absolute;
      top: 0;
      right: 0;
      width: 44px;
      margin-top: -16px;
      margin-bottom: 25px;
      font-size: .65em;
      color: rgba(255, 255, 255, .8);
      text-align: center;
    }
    #menu-abrir img{ width: 100%;
        /*animacion*/
        animation-name: tenedor;
        animation-duration: 5s;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        }
        @keyframes tenedor {
        0% 		{ opacity: 1; transform: translateX(0)}
        80% 	{ opacity: 1; transform: translateX(0)}
        85% 	{ opacity: 1; transform: translateX( 25px)}
        86% 	{ opacity: 0; transform: translateX( 25px)}
        87% 	{ opacity: 0; transform: translateX( -40px)}
        88% 	{ opacity: 1; transform: translateX(-40px)}
        90% 	{ opacity: 1; transform: translateX(0)}
        100% 	{ opacity: 1; transform: translateX(0)}
        }

/* =========== Cerrar Menú===========*/
#menu_cerrar svg { width: 100%; fill: rgba(79,206,93, .9);}
#menu_cerrar{
  z-index: 1;
  position: absolute;
  top: 0; left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: auto;
  margin-top: 135px;
  padding: 0 8px;
  margin-left: 2px;
  box-sizing: border-box;
}

#abrir_categoria svg {width: 100%; height: auto; fill: rgba(79,206,93, .5);}
#abrir_categoria{
  position: absolute;
  top: 0; left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 43px;
  height: auto;
  margin-top: 165px;
  padding: 0 8px;
  box-sizing: border-box;
}

/* effect */
.rotate_cero{transform: rotate(0deg); transition: all .3s ease;}
.rotate_cuarenta_cinco{transform: rotate(45deg); transition: all .3s ease;}
.rotate_noventa{transform: rotate(90deg); transition: all .3s ease;}
.rotate_ciento_ochenta{transform: rotate(180deg); transition: all .3s ease;}
.rotate_trecientos_secenta{transform: rotate(360deg); transition: all .3s ease;}

.flip_h{transform: scaleX(-1);}

.hide_top{transform: translateY(-100vh); transition: all .3s ease;}
.hide_left{transform: translateX(-100vh); transition: all .3s ease;}
.hide_right{transform: translateX(100vh); transition: all .3s ease;}
.hide_bottom{transform: translateY(100vh); transition: all .3s ease;}

.opacity_cero{opacity: 0; transition: all .3s ease;}
.opacity_uno{opacity: 1; transition: all .3s ease;}

.filter {
  -webkit-backdrop-filter: grayscale() blur(10px); /* Safari 9+ */
  backdrop-filter: blur(8px); /* Chrome and Opera */
  background-color: rgba(255, 255, 255, 0.3);
}












  /* ===========Menu Base ===========*/
  #menu-box_shopping{
    z-index: 9;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    box-sizing: border-box;
  }
  .menu-box_shopping{
    width: 100%;
    height: auto;
    background-color: rgba(0, 0, 0, .8);
    opacity: 1;
    transition: all .3s ease;
    
    
  }
  .menu-box_shopping_hide{
  width: 0;
  box-sizing: border-box;

  transition: all .3s ease;
  transform: translateX(100vw);
  opacity: 0;
  overflow: hidden;
  }










  /* =========== cabecera ===========*/

  #menu_cabecera_fixed {
    z-index: 9999;
     position: fixed;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
      height: auto;
      box-sizing: border-box;
    }

    #shopping-cabecera{
      position: relative;
      display: flex;
      flex-wrap: nowrap;
      justify-content: center;
      align-items: center;
      width: 100%;
      height: auto;
      box-sizing: border-box;
    }
    
  #logo_restaurante{
  width: 100%;
  height: 125px;
  padding: 0 50px;
  }
  #logo_restaurante img { 
  width: 100%;
  height: 100%;
  }

  #logo_restaurante_qr{
    position: absolute;
    top: 25%;
    left: 0;
    width: 35px;
    height: auto;
    margin-top: 10px;
    margin-left: 10px;
    box-sizing: border-box;
  }
  #logo_restaurante_qr img { width: 100%; border-radius: 2px; opacity: .8;}


  #menu_direccion{
    display: none;
    text-align: center;
    width: 100%;
   height: auto;
   color: rgba(255, 255, 255, .3);
   padding: 3px;
  background-color:rgba(10, 10, 10, 1);
    
  }


 



  


.destacado-verde{
  color: rgba(100, 249, 106, 1);
}



#shopping-base{
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}












  #shopping-modulo{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    margin-top:124px;
    border-top: 5px solid #fff;

    color: #fff;
    background-color: #fff;
    box-sizing: border-box;
      /*==== borrar ===*/
      overflow: hidden;
  }




  #id_menu_pie{
      display: flex;
      flex-wrap: nowrap;
      justify-content: center;
      align-items: flex-start;
      width: 100%;
      height: auto;
      box-sizing: border-box;
      margin-bottom: 100px;
      border-radius: 0 0 10px 10px;
      background-color: rgba(0, 0, 0, 1);
  }
  #pata_logo{
    width: 50%;
    height: auto;
    margin: 20px 20px;
    
    box-sizing: border-box;
    /*==== borrar ===*/    
  }
  #pata_logo img{width: 100%;}

#pata_texto{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  box-sizing: border-box;
}
#pata_texto p{
  font-size: .9em;
  line-height: 1em;
  border-left: 1px dotted #fff;
  padding: 0px 10px 10px 10px;
}
#pata_texto a img{
margin-bottom: -3px;
box-sizing: border-box;
}


.id_menu_tel{
  line-height: 1.1em;
  margin-top: 5px;
  display: block;
  color:rgba(79,206,93, 1);
}

.id_menu_tel img{width: 15px; margin-right: 5px;}


#up{
  z-index: 9;
  position: fixed;
  bottom: 0; right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 26px;
  height: 26px;
  margin-bottom: calc(50% + 100px);
  box-sizing: border-box;
}
#up svg { 
  width: 100%; 
  height: 100%; 
  fill:rgba(0,0,0, 1);
  opacity: .5;
}
.move_up{
  position: absolute;
  animation-name: move_up;
  animation-duration: 2s;
  animation-iteration-count: infinite;
}
  @keyframes move_up{
  0% {transform: translateY(0px); opacity: 1;}
  100%{transform: translateY(-20px); opacity: 0;}
  }








  #qr-panel-box{
    width: 310px;
    height: auto;
  }
  
  #price_detalle{
    width: 100%; min-width: 20px;
    height: 100%; min-height: 10px;
    margin: 0 2px -5px 0;
    font-size: .7em;
    letter-spacing: .01em;
    text-align: right;
    color: grey;
    }

    
  
#prueba{
  width: auto;
  color: #fff;
  border: 1px solid #fff;
  padding: 10px;
}

/* editar punticos originales en _id_2/css/id_share.css */
.punticos svg{ fill: #00F94C;}















 